  AddExtension('ONCC','Oni character class');
  AddEntry('ONCC','TXMP link',$28,8,'Shadow texture');
  AddEntry('ONCC','Regeneration time',$64,2,'Regeneration time of one health point in 1/60 seconds if you use an hypo');
  AddEntry('ONCC','Hurt light sound',$98,10032,'Reference to an OSBD file of level 0');
  AddEntry('ONCC','Hurt medium sound',$B8,10032,'Reference to an OSBD file of level 0');
  AddEntry('ONCC','Hurt heavy sound',$D8,10032,'Reference to an OSBD file of level 0');
  AddEntry('ONCC','Death sound',$F8,10032,'Reference to an OSBD file of level 0');
  AddEntry('ONCC','Taunt sound query',$2B0,10,'00 = not used; 64 = used');
  AddEntry('ONCC','"Who''s there?" sound query',$2B1,10,'00 = not used; 64 = used');
  AddEntry('ONCC','"I see you" sound query',$2B2,10,'00 = not used; 64 = used');
  AddEntry('ONCC','"You lose" sound query',$2B3,10,'00 = not used; 64 = used');
  AddEntry('ONCC','"Where are you?" sound query',$2B4,10,'00 = not used; 64 = used');
  AddEntry('ONCC','"Why is this happenung?" sound query',$2B5,10,'00 = not used; 64 = used');
  AddEntry('ONCC','Superpunch sound query',$2B6,10,'00 = not used; 64 = used');
  AddEntry('ONCC','Superkick sound query',$2B7,10,'00 = not used; 64 = used');
  AddEntry('ONCC','Super3 sound query',$2B8,10,'00 = not used; 64 = used');
  AddEntry('ONCC','Super4 sound query',$2B9,10,'00 = not used; 64 = used');
  AddEntry('ONCC','Taunt sound',$2BC,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','"Who''s there?" sound',$2DC,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','"I see you" sound',$2FC,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','"You lose" sound',$31C,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','"Where are you?" sound',$33C,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','"Why is this happenung?" sound',$35C,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','Superpunch sound',$37C,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','Superkick sound',$39C,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','Super3 sound',$3BC,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','Super4 sound',$3DC,10032,'Reference to a SNDD file of level 0');
  AddEntry('ONCC','Eyeshot',$3FC,9,'The max. distance where the AI can see you');
  AddEntry('ONCC','Earshot',$400,9,'The max. distance where the AI can hear you');
  AddEntry('ONCC','ONCV link',$434,8,'Character varient link');
  AddEntry('ONCC','ONCP link',$438,8,'Character particle array link; useless?');
  AddEntry('ONCC','ONIA link',$43C,8,'Character impact array link; useless?');
  AddEntry('ONCC','Unknown',$444,10016,'Maybe the weight of the character?');
  AddEntry('ONCC','Footstep walk impact',$454,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep run impact',$4D6,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep crouch impact',$558,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Fall slide impact',$5DA,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Fall land impact',$65C,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Fall land hard impact',$6DE,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Fall knockdown impact',$760,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Fall knockdown impact',$7E2,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Fall knockdown impact',$864,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep turn impact',$8E6,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep run start impact',$968,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep single step impact',$9EA,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep run stop impact',$A6C,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep walk stop impact',$AEE,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Footstep run sprint impact',$B70,10128,'Reference to the a Impt file of level 0');
  AddEntry('ONCC','Unknown',$BF4,10064,'special death particles; only the mad bomber use it');
  AddEntry('ONCC','TRBS link',$C3C,8,'Body set link');
  AddEntry('ONCC','TRMA link',$C40,8,'Texture map array link');
  AddEntry('ONCC','CBPM link',$C44,8,'Body part material link');
  AddEntry('ONCC','CBPI link',$C48,8,'Body part impact link');
  AddEntry('ONCC','Basic health',$C58,4,'Extra health informations are stored in the Character.BINA files');
  AddEntry('ONCC','Minimal body size factor',$C5C,9,'Minimal body size factor');
  AddEntry('ONCC','Maximal body size factor',$C60,9,'Maximal body size factor');
  AddEntry('ONCC','TRAC link',$C88,8,'Animation collection link');
  AddEntry('ONCC','TRSC link',$C8C,8,'Screen (aiming) collection link');

  AddExtension('TRAM','Totoro Animation Sequence (Totoro is the name of the character animation engine.)');
  AddEntry('TRAM','Raw link',$0C,11,'Address of the y-position data in the .raw-file');
  AddEntry('TRAM','Raw link',$10,11,'Address of the x-z-position data in the .raw-file');
  AddEntry('TRAM','Raw link',$14,11,'Address of the attack data in the .raw-file');
  AddEntry('TRAM','Raw link',$18,11,'Address of the damage data in the .raw-file');
  AddEntry('TRAM','Raw link',$1C,11,'Address of the motion blur data in the .raw-file');
  AddEntry('TRAM','Raw link',$20,11,'Address of the shortcut data in the .raw-file');
  AddEntry('TRAM','Raw link',$24,11,'Address of the throw data in the .raw-file');
  AddEntry('TRAM','Raw link',$28,11,'Address of the footstep data in the .raw-file');
  AddEntry('TRAM','Raw link',$2C,11,'Address of the particle data in the .raw-file');
  AddEntry('TRAM','Raw link',$30,11,'Address of the position data in the .raw-file');
  AddEntry('TRAM','Raw link',$34,11,'Address of the bodypart animation data in the .raw-file');
  AddEntry('TRAM','Raw link',$38,11,'Address of the sound data in the .raw-file');
  AddEntry('TRAM','Flags',$3C,8,'Flags; It seems that Oni read it as 4 byte string from left to right; I would read it as 4 seperate bitsets');
  AddEntry('TRAM','TRAM link',$40,8,'First direct animation link; this animation follows after a left mouse click (punch)');
  AddEntry('TRAM','TRAM link',$44,8,'Second direct animation link; this animation follows after a right mouse click (kick)');
  AddEntry('TRAM','Used parts',$48,8,'Used for weapon animations like recoil, reload, draw weapon, etc.');
  AddEntry('TRAM','Replace parts',$4C,8,'Used for weapon animations like recoil, reload, draw weapon, etc.');
  AddEntry('TRAM','Final rotation',$50,9,'Final rotation; stored as multiples of the number "pi" (3.141592...)');
  AddEntry('TRAM','Move direction',$54,2,'Move direction');
  AddEntry('TRAM','Attack voice sound',$56,2,'Attack voice sound (f.e. Konoko''s "Rising fury!")');
  AddEntry('TRAM','Extent packages',$138,4,'Amount of packages of the extent data');
  AddEntry('TRAM','Raw link',$13C,11,'Address of the extent data in the .raw-file');
  AddEntry('TRAM','Attack sound',$140,10016,'Reference to an attack sound (f.e. "slap") of level 0');
  AddEntry('TRAM','Hard pause',$150,2,'Hard pause in 1/60 seconds');
  AddEntry('TRAM','Soft pause',$152,2,'Soft pause in 1/60 seconds');
  AddEntry('TRAM','Frames',$15E,2,'Frames per second');
  AddEntry('TRAM','Compression',$160,2,'Compression size');
  AddEntry('TRAM','Type',$162,2,'ID for the animation of the opponent');
  AddEntry('TRAM','Animation Type',$164,2,'ID for the animation of the opponent');
  AddEntry('TRAM','From state',$166,2,'From state');
  AddEntry('TRAM','To state',$168,2,'To state');
  AddEntry('TRAM','Bodyparts',$16A,2,'Amount of bodyparts');
  AddEntry('TRAM','Frames',$16C,2,'Animation length in frames');
  AddEntry('TRAM','Duration',$16E,2,'Duration of the animation in frames');
  AddEntry('TRAM','Varient',$170,2,'Varient; It seems that Oni read it as 2 byte string from left to right; I would read it as 2 seperate bitsets or as a short');
  AddEntry('TRAM','Varient end',$172,2,'Varient end; It seems that Oni read it as 2 byte string from left to right; I would read it as a short');
  AddEntry('TRAM','Atomic start',$174,2,'Atomic start');
  AddEntry('TRAM','Atomic end',$176,2,'Atomic end');
  AddEntry('TRAM','End interpolation',$178,2,'End interpolation');
  AddEntry('TRAM','Maximal interpolation',$17A,2,'Maximal interpolation');
  AddEntry('TRAM','Action frame',$17C,6,'Action frame; at this frame starts the "real" animation');
  AddEntry('TRAM','First level',$17E,2,'First level; the level where you can use this animation the first time');
  AddEntry('TRAM','Attack packages',$182,1,'Amount of packages of the attack data');
  AddEntry('TRAM','Damage packages',$183,1,'Amount of packages of the damage data');
  AddEntry('TRAM','Motion blur packages',$184,1,'Amount of packages of the motion blur data');
  AddEntry('TRAM','Shortcut packages',$185,1,'Amount of packages of the shortcut data');
  AddEntry('TRAM','Footstep packages',$186,1,'Amount of packages of the footstep data');
  AddEntry('TRAM','Particle packages',$187,1,'Amount of packages of the particle data');
